Skip to content

Get Team Audit Logs

Request

This endpoint retrieves audit logs for the entire team. This is useful for tracking actions performed by team members.

It returns a paginated list of CustomerAuditLogEntry objects, which can be filtered by a time range.

Security
CodeBearer(Required scopes: team.read)
Query
cursorstring or null(Cursor)
Any of:
string
limitinteger, > 0(Limit)
Default:100
timestamp_fromstring or null(Timestamp From)
Any of:
string (date-time)
timestamp_tostring or null(Timestamp To)
Any of:
string (date-time)
curl -i -X GET \
  'https://customer-api.sandbox-api.jikoservices.com/api/v1/team/audit-logs/?cursor=string&limit=100&timestamp_from=2019-08-24T14%3A15%3A22Z&timestamp_to=2019-08-24T14%3A15%3A22Z' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
itemsArray of objects(Items)required
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
Response
{ "items": [ { … } ], "prev_page": "string", "next_page": "string" }